<?php
/**
 * Confirms authentication by querying TeddyID server
 *
 * @author tony
 */
class AuthConfirmation extends MatrixCommunication
{
	const MATRIX_AUTH_CONFIRMATION_PATH = "/confirm_auth.php";
	const MATRIX_NODE_ID = 1;

	/**
	 * @param int $auth_token_id
	 * @param string $auth_token
	 * @param string $url
	 * @param string $ip
	 * @throws AuthConfirmationException in case of any failure to do its job
	 */
	public static function confirm($auth_token_id, $auth_token, $url, $ip)
	{
		$arrParams = array(
			'node_id' => TapLogin::getNodeId(),
			'token' => TokenManager::getMyToken(self::MATRIX_NODE_ID),
			'auth_token_id' => $auth_token_id,
			'auth_token' => $auth_token,
			'url' => $url,
			'ip' => $ip,
		);
		$confirm_url = self::getMatrixServerUrl().self::MATRIX_AUTH_CONFIRMATION_PATH;
		$response = self::post($confirm_url, $arrParams);
		if (!$response)
			return false;
		$objResponse = json_decode($response);
		if (!$objResponse || isset($objResponse->error))
			return false;
		
		return $objResponse;
	}
	
	
}

?>